set CMSDK_GPIO1_BASE          0x40011000
set CMSDK_GPIO1_DATA [expr $CMSDK_GPIO1_BASE + 0x0]
set CMSDK_GPIO1_DATAOUT [expr $CMSDK_GPIO1_BASE + 0x4]
set CMSDK_GPIO1_PULLUP_ENABLE_SET [expr $CMSDK_GPIO1_BASE + 0x8]
set CMSDK_GPIO1_PULLUP_ENABLE_CLR [expr $CMSDK_GPIO1_BASE + 0xc]
set CMSDK_GPIO1_INENABLE_SET [expr $CMSDK_GPIO1_BASE + 0x10]
set CMSDK_GPIO1_INENABLE_CLR [expr $CMSDK_GPIO1_BASE + 0x14]
set CMSDK_GPIO1_OUTENSET [expr $CMSDK_GPIO1_BASE + 0x18]
set CMSDK_GPIO1_OUTENCLR [expr $CMSDK_GPIO1_BASE + 0x1c]
set CMSDK_GPIO1_ALTFUNCSET [expr $CMSDK_GPIO1_BASE + 0x20]
set CMSDK_GPIO1_ALTFUNCCLR [expr $CMSDK_GPIO1_BASE + 0x24]
set CMSDK_GPIO1_INTENSET [expr $CMSDK_GPIO1_BASE + 0x28]
set CMSDK_GPIO1_INTENCLR [expr $CMSDK_GPIO1_BASE + 0x2c]
set CMSDK_GPIO1_INTTYPESET [expr $CMSDK_GPIO1_BASE + 0x30]
set CMSDK_GPIO1_INTTYPECLR [expr $CMSDK_GPIO1_BASE + 0x34]
set CMSDK_GPIO1_INTPOLSET [expr $CMSDK_GPIO1_BASE + 0x38]
set CMSDK_GPIO1_INTPOLCLR [expr $CMSDK_GPIO1_BASE + 0x3c]
set CMSDK_GPIO1_INTSTATUS_CLEAR [expr $CMSDK_GPIO1_BASE + 0x40]
set CMSDK_GPIO1_MASKLOWBYTE [expr $CMSDK_GPIO1_BASE + 0x400]
set CMSDK_GPIO1_MASKHIGHBYTE [expr $CMSDK_GPIO1_BASE + 0x800]
set CMSDK_GPIO1_PID4 [expr $CMSDK_GPIO1_BASE + 0xfd0]
set CMSDK_GPIO1_PID5 [expr $CMSDK_GPIO1_BASE + 0xfd4]
set CMSDK_GPIO1_PID6 [expr $CMSDK_GPIO1_BASE + 0xfd8]
set CMSDK_GPIO1_PID7 [expr $CMSDK_GPIO1_BASE + 0xfdc]
set CMSDK_GPIO1_PID0 [expr $CMSDK_GPIO1_BASE + 0xfe0]
set CMSDK_GPIO1_PID1 [expr $CMSDK_GPIO1_BASE + 0xfe4]
set CMSDK_GPIO1_PID2 [expr $CMSDK_GPIO1_BASE + 0xfe8]
set CMSDK_GPIO1_PID3 [expr $CMSDK_GPIO1_BASE + 0xfec]
set CMSDK_GPIO1_CID0 [expr $CMSDK_GPIO1_BASE + 0xff0]
set CMSDK_GPIO1_CID1 [expr $CMSDK_GPIO1_BASE + 0xff4]
set CMSDK_GPIO1_CID2 [expr $CMSDK_GPIO1_BASE + 0xff8]
set CMSDK_GPIO1_CID3 [expr $CMSDK_GPIO1_BASE + 0xffc]
